actions:
- command: 'deploy_linaro_image'
  parameters:
    bootloadertype: 'uefi'
    customize:
      'boot:/fvp':
      - 'delete'
      ${BL1_URL}:
      - 'boot:/fvp_bl1.bin'
      ${FIP_URL}:
      - 'boot:/fvp_fip.bin'
      ${STARTUP_NSH}:
      - 'boot:/EFI/BOOT/startup.nsh'
    image: '${IMAGE_URL}'
  metadata:
    build id: '${BUILD_NUMBER}'
    git URL: '${GIT_URL}'
    git branch: '${GIT_BRANCH}'
    git commit: '${GIT_COMMIT}'
    template: 'startup-boot'
- command: 'boot_linaro_image'
  parameters:
    boot_cmds:
    - 'sendline 2'
    - 'expect or any other key to continue.'
    - 'sendline '
    options:
    - 'bp.pl011_uart0.untimed_fifos=0'
    - 'bp.pl011_uart0.revision=r1p5'
- command: 'submit_results'
  parameters:
    server: 'http://${LAVA_SERVER}'
    stream: '${BUNDLE_STREAM_NAME}'
device_type: '${DEVICE_TYPE}'
job_name: '${BUILD_URL}'
timeout: 20000
